// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Text.RegularExpressions;
using Microsoft.Phone.Tasks;

namespace LaunchersAndChoosers.Views
{
    public partial class BrowseWebPage : PhoneApplicationPage
    {
        //Regex patterns provided by http://regexlib.com/
        const string urlPattern = @"^(http|https)\://[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(:[a-zA-Z0-9]*)?/?([a-zA-Z0-9\-\._\?\,\'/\\\+&amp;%\$#\=~])*$";

        public BrowseWebPage()
        {
            InitializeComponent();
        }

        private void btnGo_Click(object sender, RoutedEventArgs e)
        {
            if (Regex.IsMatch(txtInput.Text, urlPattern, RegexOptions.IgnoreCase))
            {
                WebBrowserTask webBrowserTask = new WebBrowserTask();
                webBrowserTask.URL = txtInput.Text;
                webBrowserTask.Show();
            }
            else
                MessageBox.Show("Specified value is not a valid URL\nValid URL looks like the following:\nhttp://www.blah.com/~joe\nhttps://blah.gov/blah-blah.as", "Invalid Input", MessageBoxButton.OK);
        }
    }
}