// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Text.RegularExpressions;
using Microsoft.Phone.Tasks;

namespace LaunchersAndChoosers.Views
{
    public partial class SaveContactInfoPage : PhoneApplicationPage
    {

        //Regex patterns provided by http://regexlib.com/
        const string phoneNumberPattern = @"^([0-9]( |-)?)?(\(?[0-9]{3}\)?|[0-9]{3})( |-)?([0-9]{3}( |-)?[0-9]{4}|[a-zA-Z0-9]{7})$";

        SavePhoneNumberTask savePhoneNumberTask;

        public SaveContactInfoPage()
        {
            InitializeComponent();

            savePhoneNumberTask = new SavePhoneNumberTask();
            savePhoneNumberTask.Completed += new EventHandler<TaskEventArgs>(savePhoneNumberTask_Completed);
        }

        void savePhoneNumberTask_Completed(object sender, TaskEventArgs e)
        {
            if (e.TaskResult == TaskResult.OK)
                MessageBox.Show("Phone number saved successfully", "Success", MessageBoxButton.OK);
            else
                MessageBox.Show("Error while saving phone number:\n" + e.Error.Message, "Fail", MessageBoxButton.OK);
        }

        private void btnSavePhone_Click(object sender, RoutedEventArgs e)
        {
            if (Regex.IsMatch(txtInput.Text, phoneNumberPattern, RegexOptions.IgnoreCase))
            {
                if (null != savePhoneNumberTask)
                {
                    savePhoneNumberTask.PhoneNumber = txtInput.Text;
                    savePhoneNumberTask.Show();

                    // clear for next run
                    txtInput.Text = "";
                }
            }
            else
            {
                MessageBox.Show("Specified value is not a valid phone number\nValid phone number looks like the following:\n1-(123)-123-1234, 123 123 1234, 1-800-ALPHNUM", "Invalid Input", MessageBoxButton.OK);
            }
        }
    }
}